#ifndef NOISE_H
#define NOISE_H

#include <math.h>
#include <string.h>
#include "utils.h"

void noise_init_ptable(unsigned char ptable[512]);
float noise_gradient3(int hash, vec3f v);
float noise_noise3(const unsigned char ptable[512], vec3f v);
float noise_gradient2(int hash, float x, float y);
float noise_noise2(const unsigned char ptable[512], float x, float y);

#endif
